package com.gyee.frame.model.auto;

import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 风机信息表 Windturbine 
 * @author gyee_自动生成
 * @email 1@qq.com
 * @date 2019-12-30 17:00:04
 */
 @ApiModel(value="Windturbine", description="风机信息表")
public class Windturbine implements Serializable {

	private static final long serialVersionUID = 1L;
	
		
	/** 编号 **/
	@ApiModelProperty(value = "编号") 
private String id;
		
	/** 编码 **/
	@ApiModelProperty(value = "编码") 
private String code;
		
	/** 风场编号 **/
	@ApiModelProperty(value = "风场编号") 
private String windpowerstationid;
		
	/** 地球经度 **/
	@ApiModelProperty(value = "地球经度") 
private BigDecimal longitude;
		
	/** 地球纬度 **/
	@ApiModelProperty(value = "地球纬度") 
private BigDecimal latitude;
		
	/** 型号 **/
	@ApiModelProperty(value = "型号") 
private String modelid;
		
	/** 状态 **/
	@ApiModelProperty(value = "状态") 
private String status;
		
	/** 项目编号 **/
	@ApiModelProperty(value = "项目编号") 
private String projectid;
		
	/** 线路编号 **/
	@ApiModelProperty(value = "线路编号") 
private String lineid;
		
	/** 首次并网时间 **/
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "首次并网时间") 
private Date firstintegratedtime;
		
	/** 图片 **/
	@ApiModelProperty(value = "图片") 
private String photo;
		
	/** 名称 **/
	@ApiModelProperty(value = "名称") 
private String name;
		
	/** 是否是标杆风机 **/
	@ApiModelProperty(value = "是否是标杆风机") 
private String standardid;
		
		
	public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
	 
			
	public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }
	 
			
	public String getWindpowerstationid() {
        return windpowerstationid;
    }

    public void setWindpowerstationid(String windpowerstationid) {
        this.windpowerstationid = windpowerstationid;
    }
	 
			
	public BigDecimal getLongitude() {
        return longitude;
    }

    public void setLongitude(BigDecimal longitude) {
        this.longitude = longitude;
    }
	 
			
	public BigDecimal getLatitude() {
        return latitude;
    }

    public void setLatitude(BigDecimal latitude) {
        this.latitude = latitude;
    }
	 
			
	public String getModelid() {
        return modelid;
    }

    public void setModelid(String modelid) {
        this.modelid = modelid;
    }
	 
			
	public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
	 
			
	public String getProjectid() {
        return projectid;
    }

    public void setProjectid(String projectid) {
        this.projectid = projectid;
    }
	 
			
	public String getLineid() {
        return lineid;
    }

    public void setLineid(String lineid) {
        this.lineid = lineid;
    }
	 
			
	public Date getFirstintegratedtime() {
        return firstintegratedtime;
    }

    public void setFirstintegratedtime(Date firstintegratedtime) {
        this.firstintegratedtime = firstintegratedtime;
    }
	 
			
	public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo;
    }
	 
			
	public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
	 
			
	public String getStandardid() {
        return standardid;
    }

    public void setStandardid(String standardid) {
        this.standardid = standardid;
    }
	 
			
	public Windturbine() {
        super();
    }
    
																																																																			
	public Windturbine(String id,String code,String windpowerstationid,BigDecimal longitude,BigDecimal latitude,String modelid,String status,String projectid,String lineid,Date firstintegratedtime,String photo,String name,String standardid) {
	
		this.id = id;
		this.code = code;
		this.windpowerstationid = windpowerstationid;
		this.longitude = longitude;
		this.latitude = latitude;
		this.modelid = modelid;
		this.status = status;
		this.projectid = projectid;
		this.lineid = lineid;
		this.firstintegratedtime = firstintegratedtime;
		this.photo = photo;
		this.name = name;
		this.standardid = standardid;
		
	}
	
}